<?php
if (!defined('CPO')) exit;

$GLOBALS['modules']['db_actions'] = array(
    'directory' => $moduleDirectory,
    'caption'   => __('Datenbankaktionen'),
    'install'   => 'function: Datenbankaktionen_install',
    'activate'  => 'function: Datenbankaktionen_activate',
    'deactivate'=> 'function: Datenbankaktionen_deactivate',
    'uninstall' => 'function: Datenbankaktionen_uninstall '.$moduleDirectory
	);

function Datenbankaktionen_install()
{
    $GLOBALS['message'][] = ___('Das Modul Datenbankaktionen wurde erfolgreich installiert.');
}
function Datenbankaktionen_uninstall($moduleDirectory)
{
	 $GLOBALS['message'][] = sprintf(__('Das Modul Datenbankaktionen wurde vom ConPresso-System entfernt. Bitte entfernen Sie das Modulverzeichnis <i>%s</i>, um die Deinstallation abzuschlieen.'),$moduleDirectory);

}
function Datenbankaktionen_activate()
{
    // Navigation reloaden in frame "cpo_navigation"
    $reload_navigation = "<script type=\"text/javascript\">";
    $reload_navigation .= "parent.cpo_navigation.location.href=\"../_admin/frame_navigation.php\";";
    $reload_navigation .= "</script>";

    $GLOBALS['message'][] = ___('Das Modul Datenbankaktionen wurde aktiviert.').$reload_navigation;
}

function Datenbankaktionen_deactivate()
{
    // Navigation reloaden in frame "cpo_navigation"
    $reload_navigation = "<script type=\"text/javascript\">";
    $reload_navigation .= "parent.cpo_navigation.location.href=\"../_admin/frame_navigation.php\";";
    $reload_navigation .= "</script>";

    $GLOBALS['message'][] = ___('Das Modul Datenbankaktionen wurde deaktiviert.').$reload_navigation;
}

function Datenbankaktionen_navigation($moduleDirectory)
{
    $GLOBALS['navigation']['System'][] = 'space'; 
    
    $GLOBALS['navigation']['System'][] = array(
            'caption'=>'Datenbankaktionen',
            'url'=>BASE_REL.$moduleDirectory.'/database_cleanup.php'
        );
}

if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
    $hdlr_navigation[] = 'function: Datenbankaktionen_navigation '.$moduleDirectory;
}

?>